Package: grails.boot

## [Groovy] Class GrailsApp.MicronautShutdownListener

- grails.boot.GrailsApp.MicronautShutdownListener

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationListener<org.springframework.context.event.ContextStoppedEvent>

      @groovy.transform.CompileStatic
      static class GrailsApp.MicronautShutdownListener
      extends java.lang.Object
      implements org.springframework.context.ApplicationListener<org.springframework.context.event.ContextStoppedEvent>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `micronautApplicationContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `micronautApplicationContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MicronautShutdownListener (org.springframework.context.ApplicationContext micronautApplicationContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `onApplicationEvent(org.springframework.context.event.ContextStoppedEvent event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final org.springframework.context.ApplicationContext micronautApplicationContext

  - ### Property Detail

    - #### final org.springframework.context.ApplicationContext micronautApplicationContext

  - ### Constructor Detail

    - #### MicronautShutdownListener(org.springframework.context.ApplicationContext micronautApplicationContext)

  - ### Method Detail

    - #### @java.lang.Override void onApplicationEvent(org.springframework.context.event.ContextStoppedEvent event)